Bug 1981939 - openshift/builder base images inconsistent with ART
Summary: openshift/builder base images inconsistent with ART
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.8
Hardware: Unspecified
OS: Linux
low
low
Target Milestone: ---
: 4.8.z
Assignee: Adam Kaplan
QA Contact: Jitendar Singh
URL:
Whiteboard:
Depends On: 1981936
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-13 18:27 UTC by OpenShift BugZilla Robot
Modified: 2021-08-03 06:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-03 06:09:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift builder pull 230 0 None open Bug 1981939: Updating openshift-enterprise-builder builder & base images to be consistent with ART 2021-07-21 15:45:27 UTC
Red Hat Product Errata RHBA-2021:2896 0 None None None 2021-08-03 06:10:11 UTC

Description OpenShift BugZilla Robot 2021-07-13 18:27:26 UTC
+++ This bug was initially created as a clone of Bug #1981936 +++

The Dockerfile for for openshift/builder is out of sync with what is specified in ART.

--- Additional comment from adam.kaplan@redhat.com on 2021-07-13 18:26:16 UTC ---

@Jitendar this can probably be moved directly to Verified. The change to the Dockerfile reflects what has already been done by ART downstream.

Comment 1 Gabe Montero 2021-07-21 15:45:28 UTC
Manually associating the PR and moving to post while we are still in the 4.8.0 vs. 4.8.z intermittent state as 4.8 has not quite GA'ed, but we know we want this in 4.8.z vs. 4.8.0.

If you do a bugzilla refresh in the PR you get:

expected the bug to target the "4.8.0" release, but it targets "4.8.z" instead


With the bug in POST, it helps those on bug watcher duty know there is a PR up for this.

Comment 4 Jitendar Singh 2021-07-28 12:05:38 UTC
verified
==============
From the 4.8.3 image build log, https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=1673124 
it used registry-proxy.engineering.redhat.com/rh-osbs/openshift-golang-builder:rhel_8_golang_1.16’

Comment 6 errata-xmlrpc 2021-08-03 06:09:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.3 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2896


Note You need to log in before you can comment on or make changes to this bug.